Groovy 1.7.10

## groovy.swing.factory
[Groovy] Class BevelBorderFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.SwingBorderFactory
              groovy.swing.factory.BevelBorderFactory

    class BevelBorderFactory
    extends SwingBorderFactory

accepts no value accepts attributes:
none
highlight: java.awt.Color, shadow: java.awt.Color
highlightOuter: java.awt.Color, highlightInner: java.awt.Color, shadowOuter: java.awt.Color, shadowInner: java.awt.Color

Property Summary
`int` | `type`

Constructor Summary
`BevelBorderFactory(int newType)`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class SwingBorderFactory
isLeaf, onHandleNodeAttributes, setParent

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### type

    final int type

Constructor Detail

### BevelBorderFactory

    BevelBorderFactory(int newType)

Method Detail

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2010 The Codehaus. All rights reserved.